<!DOCTYPE html>
<html>
<head>
	<title>Exportar Datos vinculados</title>
	<meta charset="UTF-8">
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
</head>
<body>
	<div ng-app="app" ng-controller="ctrl">

		<div class="jumbotron jumbotron-fluid">
			<div class="container">
				<h1 class="display-4 text-center"> Vinculados Empresa </h1> 
			</div>
		</div>

		<div class="container">

		    <div class="col-12 text-right">
		    	<a href="{{api}}generate-excel" class="btn btn-info" target="_blank"> Generar excel </a>
		    </div>

			<table class="table table-bordered table-dark mt-4">
				<thead>
					<tr>
						<th> NumeroID </th>
						<th> Nombres </th>
						<th> Apellidos </th>
						<th> IngresosMensuales </th>
						<th> UltimaModificacion </th>
					</tr> 
				</thead>
				<tbody>
					<tr ng-repeat="x in data.data"> 
						<td> {{x.NumeroID}} </td>
						<td> {{ x.Nombres }} </td> 
						<td> {{ x.Apellidos }} </td> 
						<td> {{x.IngresosMensuales}} </td>
						<td> {{ x.UltimaModificacion }} </td> 
					</tr> 
					<tr ng-if="data.data.lenght < 0">
						<td colspan="3"> No se han encontrado registros </td> 
					</tr>  
				</tbody> 
			</table> 
		</div>

	</div>
	<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.6.0/angular.min.js"></script>

	<script>
	    var app = angular.module('app', []);

	    app.controller('ctrl', function($scope, $http) {
	    	$scope.api = 'http://localhost:8088/';

	        $http.get($scope.api+"getdata").then(function(response) {
	        	console.log(response);
	            $scope.data = response.data;
	        }); 
	    });
	</script>
</body>
</html>